Slutat fungera efter senaste uppdateringen

Moderator: Telldus

Agwan
Posts: 31
Joined: Thu Jan 18, 2018 11:08 am

Slutat fungera efter senaste uppdateringen

Post by Agwan » Thu Jan 18, 2018 11:08 am

Hej,

Min Ubuntu ville att jag skulle uppdatera programvaran, bland annat fanns nytt för tellsticken.

Jag täntke att det kunde vara bra, så jag körde installeringen, bootade om, men nu funkar inget. Mitt nexahome har laggt av och min egna app lika så.

tellstick.conf ligger kvar och ser lika dan ut, men när jag skriver "tdtool -l" får får jag bara "Number of devices: -6", vilket förklarar en del.

Något kännt problem? Hur fixar jag till det så det fungerar igen?

Tack på förhand!
/Anders

noobs
Posts: 3
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by noobs » Thu Jan 18, 2018 11:08 am

Samma problem för mig efter tellstick-uppdateringen som kom för nån dag sen. Kör Ubuntu 11.04 server.

Code: Select all

noobs@ut99:~$ tdtool --on Akvariet
Device 'Akvariet', not found!

noobs@ut99:~$ tdtool --list
Number of devices: -6

noobs@ut99:~$ cat /etc/tellstick.conf
deviceNode = "/dev/tellstick"
device {
  id = 3
  name = "Akvariet"
  controller = 0
  protocol = "arctech"
  model = "selflearning-switch:nexa"
  parameters {
    # devices = ""
    house = "24156"
    unit = "3"
    # code = ""
    # system = ""
    # units = ""
    # fade = ""
  }
}



Agwan
Posts: 31
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by Agwan » Thu Jan 18, 2018 11:08 am

Ingen lösning på detta problem?

Kan man nedgradera så att man får något att fungera igen?

stefan.persson
Posts: 353
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by stefan.persson » Thu Jan 18, 2018 11:08 am

Hej,
Vi undersöker detta för fullt. Vi försöker hitta några gemensamma nämnare, eftersom vi inte har lyckats återskapa det själva ännu.

Felet ni får, -6, innebär att programmet i fråga inte kan kontakta servicen, alltså telldusd. Kan ni kontrollera om denna körs, alternativt starta om den. Kontrollera också att bara en enda instans av telldusd körs. Egentligen borde du inte få -6, utan ett mer förklarande felmeddelande, vilket gör att jag undrar vilken version av tdtool du kör. Vad säger tdtool --version ?

Vilka program använder ni för att kontrollera TellStick?
Stefan Persson
Software
Telldus Technologies

Agwan
Posts: 31
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by Agwan » Thu Jan 18, 2018 11:08 am

Får detta svar på ditt kommando:

server:~$ tdtool --version
tdtool 2.0.4

Copyright (C) 2009 Telldus Technologies AB

Written by Micke Prag <micke.prag@telldus.se>
server:~$

Jag använder mest tellsticken från min egna app, men den exekverar shell-commandon på servern. Men det ligger en nexahmoe och går i bakgrunden också.

stefan.persson
Posts: 353
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by stefan.persson » Thu Jan 18, 2018 11:08 am

Hm, om uppgraderingen har lyckats ordentligt så borde tdtool har uppdaterats till 2.1.0. Kör du 32-bitars eller 64-bitars?

Och telldusd, finns den?
Stefan Persson
Software
Telldus Technologies

Agwan
Posts: 31
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by Agwan » Thu Jan 18, 2018 11:08 am

Jag kör 32 bit.

Hur vet jag om telldusd finns? Jag provade "ps -U root -u root -N" och där finns den inte med.

När jag kollar i "Synaptic Package Manager" under tellstick core och under Versions så finns 2.0.4-2 (now) och 2.1.0-1 (download.telldus.com) där. Dvs det står att den gamla är installerad och att det finns en ny. Försöker jag göra en force till nyare version så ser det ut att gå igenom, men när jag tycker reliad seadn, såf år jag felmeddelande "Could not download all repository ndexes".
Last edited by Agwan on Thu Sep 29, 2011 11:18 am, edited 1 time in total.

jato
Posts: 5
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by jato » Thu Jan 18, 2018 11:08 am

Samma problem för mig. Debian 6, uppdaterade paketet.

tdtool 2.0.4
tdtool -l ger "Number of devices: -6" :!:

klasson
Posts: 3
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by klasson » Thu Jan 18, 2018 11:08 am

Samma problem, Ubuntu server 10.04 LTS (64bit)

Vid uppgradering får jag följande meddelande:

Följande paket har hållits tillbaka:
telldus-core
0 att uppgradera, 0 att nyinstallera, 0 att ta bort och 1 att inte uppgradera.

"tdtool --version " ger
tdtool 2.0.4

stefan.persson
Posts: 353
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by stefan.persson » Thu Jan 18, 2018 11:08 am

Testa ps aux | grep telldusd så ska den definitivt dyka upp om den finns. Om den inte finns är det inte så konstigt att det inte fungerar.

Om någon av er kan testa att avinstallera allting och installera från grunden så vore det bra. Gör för säkerhetsskull en kopia av /etc/tellstick.conf först.

Hålls paketet tillbaka för er andra också? Blir libtellduscore uppdaterat? Det har inte uppstått på våra testmaskiner. Har ni alla uppgraderat från 2.0.4?
Stefan Persson
Software
Telldus Technologies

jato
Posts: 5
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by jato » Thu Jan 18, 2018 11:08 am

Min telldus-core hålls tillbaka den också. Ska prova att avinstallera och installera om. Återkommer.

klasson
Posts: 3
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by klasson » Thu Jan 18, 2018 11:08 am

Så här säger ps:

klas@precision:~$ ps aux | grep telldusd
klas 18405 0.0 0.0 7640 932 pts/0 S+ 13:52 0:00 grep --color=auto telldusd

jato
Posts: 5
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by jato » Thu Jan 18, 2018 11:08 am

Avinstallerade paketet telldus-core och installerade om det.
Det verkar fungera - men jag är inte hemma så kan inte se om lamporna blinkar eller inte. tdtool påstår att allt är ok åtminstone.

Iakttagelse jag gjorde. När jag avinstallerade så tog den bort telldus-core och libtelldus. När jag installerade om så påstod apt-get att telldus-core även krävde "libftdi1". Känner jag inte igen sen förut...

Nu fick jag:
~$ tdtool --version
tdtool 2.1.0

Copyright (C) 2011 Telldus Technologies AB

Written by Micke Prag <micke.prag@telldus.se>

och ~$ tdtool -l
Number of devices: 8
.
.
.

stefan.persson
Posts: 353
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by stefan.persson » Thu Jan 18, 2018 11:08 am

Aha, paket vars uppgradering kräver att andra paket installeras hålls tillbaka, och går man från 2.0.4 till 2.1.1 så sker detta med libftdi1.

Om allas problem beror på detta borde manuell installation av libftdi1 först, eller att köra apt-get dist-upgrade (istället för apt-get upgrade), lösa det hela.

Vi undersöker om detta kan ske mer automatiskt istället, men det är ju en säkerhetsfunktion för att nya paket inte ska installeras utan vidare.

Tack för felsökningshjälpen!
Stefan Persson
Software
Telldus Technologies

Agwan
Posts: 31
Joined: Thu Jan 18, 2018 11:08 am

Re: Slutat fungera efter senaste uppdateringen

Post by Agwan » Thu Jan 18, 2018 11:08 am

Jaha, hur lyckades ni installera libftdi1 då? "sudo apt-get install libftdi1" fungerar iaf inte. Den säger att paketet saknas men att den pekar på något annat. Men säger inte vad.

:~$ sudo apt-get install libftdi1
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libftdi1 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libftdi1 has no installation candidate

Post Reply